#
# spec file for package qmltermwidget
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           qmltermwidget
Version:        0.2.0
Release:        lp151.1.1
Summary:        QML port of qtermwidget
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://github.com/Swordfish90/qmltermwidget
Source:         https://github.com/Swordfish90/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
This project provides a Unicode-enabled, embeddable QML widget for
using as a built-in console (or terminal emulation widget).

%prep
%setup -q

%build
%qmake5 \
      QMAKE_CFLAGS+="%{optflags}" \
      QMAKE_CXXFLAGS+="%{optflags}"
%make_jobs

%install
%qmake5_install

%files
%license LICENSE
%doc AUTHORS README.md
%{_libqt5_archdatadir}/qml/QMLTermWidget

%changelog
* Wed Jan 23 2019 Jan Engelhardt <jengelh@inai.de>
- Trim future goals from description.
* Sat Jan 19 2019 mardnh@gmx.de
- Update to version 0.2.0
- Specfile cleanup
* Tue Feb 23 2016 and.november@opensuse.org
- initial package for openSUSE
